# fn:root

fn:root() → node

Function signature

Result | node()

Returns the root node (typically but not necessarily a document node) of the tree containing the context node

XPath 2.0 Specification

fn:root(node $srcval) → node

Function signature

$srcval | node()
Result | node()

Returns the root node (typically but not necessarily a document node) of the tree containing the given node

XPath 2.0 Specification

Next